{% extends "slow_forum/base_content.html"%}
{% load i18n tz slow_forms %}

{% block page_title %}
    {% if object %}
        {% translate "Edit topic" %} {{ topic.subject|escape }}
    {% else %}
        {% translate "New topic" %}
    {% endif %}
{% endblock %}

{% block breadcrumb %}
    {% if topic or category %}
        <li class="breadcrumb-item">
            <a href="{% url 'slow_forum:topic-category-list' %}">
                {% translate "Topics categories" %}
            </a>
        </li>

        {% if topic %}
            <li class="breadcrumb-item">
                <a href="{{ topic.category.get_absolute_url }}">
                    {{ topic.category.title|escape }}
                </a>
            </li>
        {% endif %}
        
        {% if category %}
            <li class="breadcrumb-item">
                <a href="{{ category.get_absolute_url }}">
                    {{ category.title|escape }}
                </a>
            </li>
        {% endif %}

        {% if object %}
            <li class="breadcrumb-item">
                <a href="{{ topic.get_absolute_url }}">{{ topic.subject }}</a>
            </li>
        {% endif %}
    {% endif %}
{% endblock %}

{% block content_title %}
    {% if object %}
        {% translate "Edit topic" %}
    {% else %}
        {% translate "New topic" %}    
    {% endif %}
{% endblock %}

{% block content %}

    <div class="row">
        <form method="post" class="w-50">
            {% csrf_token %}
            {% bootstrap_form form %}
            {% if object %}
                <input type="submit" class="btn btn-primary" value="{% translate "Save" %}" />
                <a class="btn btn-secondary" href="{{ topic.get_absolute_url }}">{% translate "Cancel" %}</a>
            {% else %}
                <input type="submit" class="btn btn-primary" value="{% translate "Create" %}" />
                {% if category %}
                    <a class="btn btn-secondary" href="{{ category.get_absolute_url }}">{% translate "Cancel" %}</a>
                {% else %}
                    <a class="btn btn-secondary" href="{% url 'slow_forum:index' %}">{% translate "Cancel" %}</a>
                {% endif %}
            {% endif %}
            
        </form>
    </div>
    
{% endblock %}
